Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.util
Class RepeaterAsList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.apache.cocoon.forms.util.RepeaterAsList

All Implemented Interfaces:
  Collection, List

public class RepeaterAsList
extends AbstractList

A `List` view of a `Repeater`, each element of the list being a `Map` wrapping a repeater row, as defined by `ContainerWidgetAsMap`.

This implementation of list supports all methods, with the following restrictions:

- values stored in the list must be `Map`s, that will be used with `ContainerWidgetAsMap.putAll(Map)` on the `Map` representation of the repeater rows,
- operations that involve testing equality with the list contents (e.g. `contains(Object)`) will not function properly, the `Map` wrapping the rows being created on demand.

Since:
  2.1.8
Version:
  $Id: RepeaterAsList.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RepeaterAsList(Repeater repeater)` Same as `RepeaterAsList(repeater, false)`.
`RepeaterAsList(Repeater repeater, boolean keysToLowerCase)` Create a `List`view around a repeater.``

Method Summary
`void` | `add(int index, Object o)`
`void` | `clear()`
`Object` | `get(int index)`
`Repeater` | `getWidget()` Get the repeater widget that is wrapped by this `List`.
`Widget` | `getWidget(String path)` Get a widget relative to the repeater wrapped by this `List`
`Object` | `remove(int index)`
`Object` | `set(int index, Object o)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### RepeaterAsList

    public RepeaterAsList(Repeater repeater,
                          boolean keysToLowerCase)

  Create a `List`view around a repeater. The `keysToLowerCase` parameter specifies if `Map`s wrapping rows should convert input keys to lower case, as specified by `ContainerWidgetAsMap.ContainerWidgetAsMap(AbstractContainerWidget, boolean)`.

  ``
Parameters:
  `repeater` - the repeater to wrap
  `keysToLowerCase` - should we convert input keys to lower case?

### RepeaterAsList

    public RepeaterAsList(Repeater repeater)

  Same as `RepeaterAsList(repeater, false)`.

Method Detail

### getWidget

    public Repeater getWidget()

  Get the repeater widget that is wrapped by this `List`.

  Returns:
    the wrapped `Repeater`

### getWidget

    public Widget getWidget(String path)

  Get a widget relative to the repeater wrapped by this `List`

  Parameters:
    `path` - a widget lookup path
  Returns:
    the widget pointed to by `path` or `null` if it doesn't exist.
  See Also:
    `Widget.lookupWidget(String)`

### get

    public Object get(int index)

### size

    public int size()

### set

    public Object set(int index,
                      Object o)

### add

    public void add(int index,
                    Object o)

### remove

    public Object remove(int index)

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.